环境要求

操作系统要求

    MvM mall 网上商店系统 具备跨平台特性,可以运行于 Linux/FreeBSD/Unix 及微软 Windows 2000/2003 等各种操作系统环境下。我们已在软件中 针对上述操作系统做了大量的测试和实地检验,保证 MvMmall 网上商店系统 可以在上述系统中安全稳定的运行,但您仍然需要做好服务器操作系统 级的安全防备措施,例如 Windows 用户需更改 MySQL for Windows 的初始 root 密码,避免跨目录的文件读写。类Unix 用户需避免 使用过于简单的密码,避免跨用户目录的文件读写,做好服务器上其他相关软件(如 Sendmail、ftpd、httpd)等的安全防范,使用较 新的软件版本等。

    如果您租用虚拟主机,一般正规和技术力量较强的虚拟主机提供商会已经做好操作系统的各项准备,用户可不必关注此部分。

    如果使用 Windows 系统,请将 PHP 以 ISAPI(非 CGI)方式安装。

语言及数据库支撑环境要求

    MvM mall 网上商店系统! 需要服务器上装有如下软件:

    • 可用的 httpd 服务器(如 Apache、Zeus、IIS 等)
    • php 4.0.0 版本 以上
    • MySQL 3.23 及以上(仅针对 MySQL 版 MvMmall 网上商店系统!)

      以上软件除了 httpd 软件有可能需要购买以外,其余均为跨平台的免费软件,推荐使用以上软件的最新稳定版本,不仅拥有更多的 功能,而且通常已修复了已知老版本的安全漏洞。

      如果您租用虚拟主机,请咨询虚拟主机提供商,您的空间服务器是否已安装了上述软件。

      您的 MySQL 数据库账号应当拥有 CREATE、DROP、ALTER 等执行权限,以满足包括MvMmall 网上商店系统 在内的绝大多数网络软件的正常运行。如果您不了解具体情况,请咨询您的空间提供商。

    安装可能用到的工具软件

    MvMmall 网上商店系统 开发组尽量使得安装步骤简单方便,但仍然可能会用到一些常用的工具软件。如果您通过网络将 MvMmall 网上商店系统 软件上传到服务器 上,您将可能需要一个 FTP 客户端软件。通过您的服务器 FTP 账号,使用该 FTP 客户端软件将相关文件上传到服务器上。同时您可能 需要一个简单的编辑软件,用以对配置文件进行参数修改,一般使用Dreamweaver网页制作软件或第三方软件如 UltraEdit 等都能胜任。

    MvMmall 网上商店系统 要求使用 FTP 软件上传 php 文件时,使用二进制(BINARY)方式进行。有关二进制上传的具体 细节,请参考《安装常见问题》中的说明。

MvMmall 网上商店系统 用户使用说明书 ©2003-2007 MvMmall 网上商店系统 .